Subject: Re: [trill] [RTG-DIR] RtgDir Review: draft-ietf-trill-centralized-replication-05

From: Alia Atlas <[email-masked]>
Date: Wed, 1 Jun 2016 22:41:04 -0400

Hi Keyur,

Thank you very much for your review.

Regards,
Alia

On Wed, Apr 27, 2016 at 6:30 PM, Keyur Patel (keyupate) <[email-masked]>
wrote:

> Hello,
>
> I have been selected as the Routing Directorate reviewer for this draft.
> The Routing Directorate seeks to review all routing or routing-related
> drafts as they pass through IETF last call and IESG review, and sometimes
> on special request. The purpose of the review is to provide assistance to
> the Routing ADs. For more information about the Routing Directorate, please
> see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir.
>
> Although these comments are primarily for the use of the Routing ADs, it
> would be helpful if you could consider them along with any other IETF Last
> Call comments that you receive, and strive to resolve them through
> discussion or by updating the draft.
>
> Document: draft-ietf-trill-centralized-replication-05
> Reviewer: Keyur Patel
> Review Date: 27-Apr-2016
> Intended Status: Standards Track
>
>
> Summary:
> The document is well written and seems ready for the publication. No major
> issues found. Minor nits are listed below.
>
> Major Issues:
> None.
>
> Minor Issues
>
>
>    1. Intended Status: "Standards Track" Please.
>    2.
>
>    Section 1, 3 paragraph: S/will be described/is described.
>    3.
>
>    Section 11.1, Do you need to define any error conditions where
>    multiple flag bits are set?
>
>
> Regards,
> Keyur
>

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 3 Jun 2016 10:56:09 -0400

Hi Keyur,

Thanks for your review. See below:

On Wed, Jun 1, 2016 at 10:41 PM, Alia Atlas <[email-masked]> wrote:
>> drafts as they pass through IETF last call and IESG review, and sometimes on
>> special request. The purpose of the review is to provide assistance to the
>> Routing ADs. For more information about the Routing Directorate, please see
>> http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir.
>>

Thanks.

>> Major Issues:
>> None.
>>
>> Minor Issues
>>
>> Intended Status: "Standards Track" Please.

OK, Standard -> Standards

>> Section 1, 3 paragraph: S/will be described/is described.

OK.

>> Section 11.1, Do you need to define any error conditions where multiple
>> flag bits are set?

It would be pretty peculiar for the the R and C flags to be set on the
same nickname, since R is normally set on one or a few core switches
and C is normally set on a large number of edge switches, but I don't
off hand see any particular problem with both R and C being set on the
same switch. Traffic should still be delivered correctly. The use of
the IN flag, specified in RFC 7780, and the SE flag, specified in
draft-ietf-trill-irb, seem orthogonal; so I don't think there is any
problem with any combination of flags.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 24 Jun 2016 00:08:52 -0400

Hi Keyur,

Version -06 has been posted which I believe resolves your comments. It
also has other improvements.

Thanks,
Donald